#
# spec file for package python-azure-nspkg
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-azure-nspkg
Version:        2.0.0
Release:        3.3
Summary:        Microsoft Azure namespace package
License:        MIT
Group:          Development/Languages/Python
Url:            https://github.com/Azure/azure-sdk-for-python
Source:         https://files.pythonhosted.org/packages/source/a/azure-nspkg/azure-nspkg-%{version}.zip
Source1:        LICENSE.txt
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  python-rpm-macros
BuildRequires:  unzip
Conflicts:      python-azure-sdk <= 2.0.0

BuildArch:      noarch

%python_subpackages

%description
This is the Microsoft Azure namespace package.

This package is not intended to be installed directly by the end user.

It provides the necessary files for other packages to extend the azure namespace.

%prep
%setup -q -n azure-nspkg-%{version}

%build
install -m 644 %{SOURCE1} %{_builddir}/azure-nspkg-%{version}
%python_build

%install
%python_install

%files %{python_files}
%defattr(-,root,root,-)
%doc README.rst
%license LICENSE.txt
%{python_sitelib}/azure
%{python_sitelib}/azure_nspkg-*.egg-info

%changelog
* Fri Sep  7 2018 adrian.glaubitz@suse.com
- Move LICENSE.txt from %%doc to %%license section
* Thu Oct  5 2017 adrian.glaubitz@suse.com
- Explicitly specify Python files of the package in %%files
- Add missing upstream URL in Source
* Thu Jul 13 2017 adrian.glaubitz@suse.com
- Initial build
  + Version 2.0.0
